<template>
  <div
    class="flex flex-col justify-center items-center rounded-3xl bg-white
      p-6 2xl:!p-16 gap-8 2xl:!gap-16 w-full max-w-[343px] 2xl:!max-w-[495px]"
  >
    <slot name="box-header" >
      <v-img
      v-if="logo"
      :src="logo"
      class="h-[32px] w-[140px] 2xl:!h-[61px] 2xl:!w-[269px]"
      />

    </slot>

    <slot name="box-content">

    </slot>
  </div>
</template>

<script setup>

const props = defineProps({
  logo: { type: String, default: '' }
})

</script>
